Retrieve Consent Logs

Retrieves consent logs for a User based on the provided Access Token.

GET
/identity/v2/auth/consent/logs

Retrieves consent logs for a User based on the provided Access Token.

Authorization

BearerToken APIKey
AuthorizationBearer <token>

Bearer token for user authentication

In: header

apikey<token>

Tenant API Key for authentication

In: query

Query Parameters

access_token?string

Access Token of the User

Response Body

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/identity/v2/auth/consent/logs?access_token=493318dd-487a-439b-8302-5e27f1110244"
{
  "Uid": "string",
  "ConsentLogs": [
    {
      "UpdateType": "consent-update",
      "UserAgent": "Mozilla/5.0",
      "IP": "192.168.1.1",
      "Host": "loginradius.com",
      "LoggedOnDate": "2025-07-15T12:34:56Z",
      "CurrentConsentFormsVersions": [
        {
          "IsCustom": true,
          "Version": 1,
          "Event": "newsletter_signup"
        }
      ],
      "ConsentLogs": [
        {
          "ConsentId": "123e4567e89b12d3a456426614174000",
          "Event": "newsletter_signup"
        }
      ],
      "Id": "60c72b2f9b1e8d3f4c8b4567"
    }
  ]
}

{
  "Description": "Unable to retrieve token configuration for the specified app.",
  "ErrorCode": 2017,
  "Message": "Request is invalid"
}

{
  "ErrorCode": 1228,
  "Message": "Consent logs not available.",
  "Description": "Consent logs not available."
}